import { SvelteComponentTyped } from "svelte";
export declare function push(path: string, options?: {
    queryParams?: Record<string, string>;
    hash?: string;
}): void;
export declare function replace(path: string, options?: {
    queryParams?: Record<string, string>;
    hash?: string;
}): void;
export declare function back(): void;
export declare function forward(): void;
export declare function link(node: HTMLAnchorElement): {
    destroy: () => void;
};
import { type Routes } from "./models/route.js";
declare const __propDef: {
    props: {
        routes: Routes;
        loadingComponent?: ConstructorOfATypedSvelteComponent | null | undefined;
        errorComponent?: ConstructorOfATypedSvelteComponent | null | undefined;
    };
    events: {
        navigationStart: CustomEvent<any>;
        navigationFinish: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type RouterProps = typeof __propDef.props;
export type RouterEvents = typeof __propDef.events;
export type RouterSlots = typeof __propDef.slots;
export default class Router extends SvelteComponentTyped<RouterProps, RouterEvents, RouterSlots> {
}
export {};
