export function extractParamsFromPath(path, pathMatcher) {
    let i = 0, out = {};
    let matches = pathMatcher.pattern.exec(path);
    if (matches === null)
        return out;
    while (i < pathMatcher.keys.length) {
        const rawMatch = matches[++i];
        if (rawMatch === undefined) {
            out[pathMatcher.keys[i - 1]] = null;
            continue;
        }
        const numberMatch = Number(rawMatch);
        out[pathMatcher.keys[i - 1]] = isNaN(numberMatch) ? rawMatch : numberMatch;
    }
    return out;
}
