import type { SearchParams } from "./models/params";
import type { AsyncRoute, SyncRoute } from "./models/route";
export declare function createAsyncRouteFromSyncRoute(syncRoute: SyncRoute): AsyncRoute;
export declare function extractSearchParamsFromSearchSting(searchString: string): SearchParams;
export declare function searchParamsToString(searchParams: SearchParams): string;
export declare function extractPathQueryStringAndFakeHashFromHash(hash: string): string[];
export declare function areSuperficialyEqual(object1: Record<string, unknown>, object2: Record<string, unknown>): boolean;
export declare function handleScroll(hash: string): void;
